## NMObject

NMObject

## Functions

const char * | nm_object_get_path ()

## Properties

GDBusConnection * | dbus-connection | Read / Write / Construct Only
gboolean | nm-running-internal | Read
gchar * | path | Read / Write / Construct Only

## Types and Values

#define | NM_OBJECT_PATH
#define | NM_OBJECT_DBUS_CONNECTION
| NMObject

## Object Hierarchy

        GObject
        ╰── NMObject
            ├── NMAccessPoint
            ├── NMActiveConnection
            ├── NMDevice
            ├── NMDhcpConfig
            ├── NMIPConfig
            ├── NMRemoteConnection
            ╰── NMWimaxNsp

## Implemented Interfaces

NMObject implements GInitable and GAsyncInitable.

## Description

## Functions

### nm_object_get_path ()

    const char *
    nm_object_get_path (NMObject *object);

Gets the DBus path of the NMObject.

#### Parameters

object | a NMObject |

#### Returns

the object's path. This is the internal string used by the device, and must not be modified.

## Types and Values

### NM_OBJECT_PATH

    #define NM_OBJECT_PATH "path"

### NM_OBJECT_DBUS_CONNECTION

    #define NM_OBJECT_DBUS_CONNECTION "dbus-connection"

### NMObject

    typedef struct _NMObject NMObject;

## Property Details

### The `“dbus-connection”` property

      “dbus-connection”          GDBusConnection *

The GDBusConnection of the object.

[skip]

Flags: Read / Write / Construct Only

### The `“nm-running-internal”` property

      “nm-running-internal”      gboolean

Flags: Read

Default value: FALSE

### The `“path”` property

      “path”                     gchar *

The D-Bus object path.

Flags: Read / Write / Construct Only

Default value: NULL